package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.WaterSourceAddCmd;
import com.zcloud.zcGbsServicer.dto.WaterSourcePageQry;
import com.zcloud.zcGbsServicer.dto.WaterSourceScreenQry;
import com.zcloud.zcGbsServicer.dto.WaterSourceUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.WaterSourceCO;
import com.zcloud.zcGbsServicer.dto.clientobject.WaterSourceScreenCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:23:50
*/
public interface WaterSourceServiceI {
    PageResponse<WaterSourceCO> listPage(WaterSourcePageQry qry);

    PageResponse<WaterSourceScreenCO> listScreen(WaterSourceScreenQry qry);

    SingleResponse<WaterSourceCO> add(WaterSourceAddCmd cmd);

    void edit(WaterSourceUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    /**
     * 详情
     */
    WaterSourceCO getInfoById(Long id);
}

